# Uses of Class
com.sun.net.httpserver.spi.HttpServerProvider

Packages that use HttpServerProvider
Package
Description
com.sun.net.httpserver.spi
Provides a pluggable service provider interface, which allows the HTTP server implementation to be replaced with other implementations.

## Uses of HttpServerProvider in com.sun.net.httpserver.spi

Methods in com.sun.net.httpserver.spi that return HttpServerProvider
Modifier and Type
Method
Description
`static HttpServerProvider`
HttpServerProvider.`provider()`
Returns the system wide default HttpServerProvider for this invocation of the Java virtual machine.